Subject: Re: [video-codec] draft-maxwell-videocodec-requirements

From: Jozsef Vass <[email-masked]>
Date: Wed, 14 Nov 2012 10:14:07 -0800

I have a few comments on the submitted draft:
1. The applications in Section 3 have very different requirements. Could
you please describe each application requirement (frame rate, resolution,
bit rate, latency, packet loss tolerance, etc.) in more details in
subsections. Having a table for summarizing these requirements would also
be useful.
2. Please use separate subsection for Teleoperation and Remote Software
Services. For example, document/application sharing may have relaxed
delay/frame rate requirements, but requires high quality text/graphics
reproduction. Remote video game rendering has very strict delay
requirements, but the encoder is in a well-controlled environment (video
source is rendering servers that can be placed at different location to
minimize latency).
3. In VOD, live video streaming, you usually run multiple encoders with
preset properties. The resulting stream should provide seamless switching
from one stream to the other.
4.  What about some kind of scalable scheme? It maybe advantageous in a
conference scenario.

Jozsef

On Mon, Oct 15, 2012 at 2:07 PM, Gregory Maxwell <[email-masked]>wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Greetings,
>
> I have submitted a potential start on a requirements document for produced
> video codecs, should we decide to form a working group:
>
>
> A new version of I-D, draft-maxwell-videocodec-requirements-00.txt
> has been successfully submitted by Gregory Maxwell and posted to the
> IETF repository.
>
> Filename:        draft-maxwell-videocodec-requirements
> Revision:        00
> Title:           Requirements for an Internet Video Codec
> Creation date:   2012-10-15
> WG ID:           Individual Submission
> Number of pages: 17
> URL:
> http://www.ietf.org/internet-drafts/draft-maxwell-videocodec-requirements-00.txt
> Status:
> http://datatracker.ietf.org/doc/draft-maxwell-videocodec-requirements
> Htmlized:
> http://tools.ietf.org/html/draft-maxwell-videocodec-requirements-00
>
>
> Abstract:
>    This document provides specific requirements for an Internet video
>    codec.  These requirements address quality, bit-rate, loss
>    robustness, application suitability, as well as other desirable
>    properties.
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.12 (GNU/Linux)
>
> iEYEARECAAYFAlB8evsACgkQrIWTYrBBO/r0eACeKg81Uz08qJySrSJiKBTKKCbS
> pFcAn30TnPvxO/iE6zLBD5JJTw/d1Nki
> =z3j+
> -----END PGP SIGNATURE-----
>
> _______________________________________________
> video-codec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/video-codec
>